# $Id: smeserver-print-monitor.spec,v 1.6 2022/08/01 04:04:01 jpp Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-print-monitor
%define version 0.0.7
%define release 10
Summary: SME Server print monitor
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache/php/caching
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: smeserver-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 10
Requires: smeserver-apache >= 2.6.0-19
Obsoletes: smeserver-lprng-monitor
AutoReqProv: no

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.0.7-10.sme
- Fix e-smith references in smeserver-print-monitor [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.7-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Jul 31 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.7-8.sme
- update to httpd 2.4 access syntax [SME: 12058]
  removed compat sections, adding Requirement for e-smith-apache >= 2.6.0-19

* Sun Jul 24 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.7-6.sme
- update to httpd 2.4 access syntax [SME: 12058]

* Sun Mar 28 2021 Brian Read <brianr@bjsystems.co.uk> 0.0.7-5.sme
- Add Update event to createlinks [SME: 11067]

* Sun Mar 28 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Oct 29 2020 Brian Read <brianr@bjsystems.co.uk> 0.0.7-4.sme
- Initial import to SME10 [SME: 11067]

* Mon Jun 13 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.0.7-3.sme
- Add Update event to createlinks missing  AuthBasicProvider external 
- thank you to Anne aka Ecureuil for providing the fix and testing.

* Fri Sep 18 2009 Stephen Noble <support@dungog.net> 0.0.7-1.sme 
- build for sme contribs
- rename smeserver-lprng-monitor

%description
Print monitoring for SME Server

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file '/usr/local/lprng/info/lpinfo.ph' 'attr(755,root,root)' \
    --file '/usr/local/lprng/bin/lpinfo' 'attr(755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lpc_suid' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lpq_nt' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/lpinfo_lprm_suid' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/admin/cgi-bin/suid.ph' 'attr(4755,root,root)' \
    --file '/var/www/html/LPRng/cgi-bin/lpinfo' 'attr(755,root,root)' \
    --file '/var/www/html/LPRng/cgi-bin/lpinfo_lprm' 'attr(755,root,root)' \
    > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
